System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Enum

The class can enforce validation using a schema or document type definition (DTD). The enumeration specifies the type of validation the created instance should perform. The instance can be either a validating object created by the method, or an object.

The validation model has three characteristics, strict, informative, and status. Strict, does not allow the mixing of validation types, informative provides a warning if the schema or document type definition (DTD) cannot be found, and status provides warnings if validation cannot be performed for elements and attributes from schemas.

Specifies the type of validation to perform.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Xml.ValidationType

  This field is obsolete in the Microsoft .NET Framework version 2.0 and is applicable only to the class.

  Validates if DTD or schema information is found.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ValidationType To be added

  Validates according to the DTD.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ValidationType

  Default attributes are reported and general entities can be resolved by calling . The DOCTYPE is not used for validation purposes.

  No validation errors are thrown.

  No validation is performed. This setting creates an XML 1.0 compliant non-validating parser.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ValidationType To be added

  Validate according to XML Schema definition language (XSD) schemas, including inline XML Schemas. XML Schemas are associated with namespace URIs either by using the schemaLocation attribute or the provided Schemas property.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Xml.ValidationType

  This field is obsolete in the Microsoft .NET Framework version 2.0 and is applicable only to the class.

  Validate according to XML-Data Reduced (XDR) schemas, including inline XDR schemas. XDR schemas are recognized using the x-schema namespace prefix or the property.